# odbc_gettypeinfo

(PHP 4, PHP 5, PHP 7)

odbc_gettypeinfo — Retrieves information about data types supported by the data source

### Description

odbc_gettypeinfo ( resource `$connection_id` [, int `$data_type` ] ) : resource

Retrieves information about data types supported by the data source.

### Parameters

`connection_id`

  The ODBC connection identifier, see odbc_connect() for details.

`data_type`

  The data type, which can be used to restrict the information to a single data type.

### Return Values

Returns an ODBC result identifier or `FALSE` on failure.

The result set has the following columns:

- TYPE_NAME
- DATA_TYPE
- PRECISION
- LITERAL_PREFIX
- LITERAL_SUFFIX
- CREATE_PARAMS
- NULLABLE
- CASE_SENSITIVE
- SEARCHABLE
- UNSIGNED_ATTRIBUTE
- MONEY
- AUTO_INCREMENT
- LOCAL_TYPE_NAME
- MINIMUM_SCALE
- MAXIMUM_SCALE

The result set is ordered by DATA_TYPE and TYPE_NAME.